Package com.io7m.idstore.protocol.admin

# Interface IdACommandType<R extends IdAResponseType>

Type Parameters:
  `R` - The associated response type

All Superinterfaces:
  `com.io7m.hibiscus.api.HBCommandType`, `com.io7m.hibiscus.api.HBMessageType`, `IdAMessageType`, `IdProtocolMessageType`

All Known Implementing Classes:
  `IdACommandAdminBanCreate`, `IdACommandAdminBanDelete`, `IdACommandAdminBanGet`, `IdACommandAdminCreate`, `IdACommandAdminDelete`, `IdACommandAdminEmailAdd`, `IdACommandAdminEmailRemove`, `IdACommandAdminGet`, `IdACommandAdminGetByEmail`, `IdACommandAdminPermissionGrant`, `IdACommandAdminPermissionRevoke`, `IdACommandAdminSearchBegin`, `IdACommandAdminSearchByEmailBegin`, `IdACommandAdminSearchByEmailNext`, `IdACommandAdminSearchByEmailPrevious`, `IdACommandAdminSearchNext`, `IdACommandAdminSearchPrevious`, `IdACommandAdminSelf`, `IdACommandAdminUpdate`, `IdACommandAuditSearchBegin`, `IdACommandAuditSearchNext`, `IdACommandAuditSearchPrevious`, `IdACommandLogin`, `IdACommandUserBanCreate`, `IdACommandUserBanDelete`, `IdACommandUserBanGet`, `IdACommandUserCreate`, `IdACommandUserDelete`, `IdACommandUserEmailAdd`, `IdACommandUserEmailRemove`, `IdACommandUserGet`, `IdACommandUserGetByEmail`, `IdACommandUserLoginHistory`, `IdACommandUserSearchBegin`, `IdACommandUserSearchByEmailBegin`, `IdACommandUserSearchByEmailNext`, `IdACommandUserSearchByEmailPrevious`, `IdACommandUserSearchNext`, `IdACommandUserSearchPrevious`, `IdACommandUserUpdate`

public sealed interface IdACommandType<R extends IdAResponseType> extends IdAMessageType, com.io7m.hibiscus.api.HBCommandType permits IdACommandAdminBanCreate, IdACommandAdminBanDelete, IdACommandAdminBanGet, IdACommandAdminCreate, IdACommandAdminDelete, IdACommandAdminEmailAdd, IdACommandAdminEmailRemove, IdACommandAdminGet, IdACommandAdminGetByEmail, IdACommandAdminPermissionGrant, IdACommandAdminPermissionRevoke, IdACommandAdminSearchBegin, IdACommandAdminSearchByEmailBegin, IdACommandAdminSearchByEmailNext, IdACommandAdminSearchByEmailPrevious, IdACommandAdminSearchNext, IdACommandAdminSearchPrevious, IdACommandAdminSelf, IdACommandAdminUpdate, IdACommandAuditSearchBegin, IdACommandAuditSearchNext, IdACommandAuditSearchPrevious, IdACommandLogin, IdACommandUserBanCreate, IdACommandUserBanDelete, IdACommandUserBanGet, IdACommandUserCreate, IdACommandUserDelete, IdACommandUserEmailAdd, IdACommandUserEmailRemove, IdACommandUserGet, IdACommandUserGetByEmail, IdACommandUserLoginHistory, IdACommandUserSearchBegin, IdACommandUserSearchByEmailBegin, IdACommandUserSearchByEmailNext, IdACommandUserSearchByEmailPrevious, IdACommandUserSearchNext, IdACommandUserSearchPrevious, IdACommandUserUpdate
The type of commands in the Admin protocol.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<R>`
  `responseClass()`

- ## Method Details

  - ### responseClass

    Class<R> responseClass()
    Returns:
      The response type associated with this command